//---------------------------------------------------------------------------------------
//	MailAddressList.h created by erik on Tue 05-May-1998
//	This code is part of the Alexandra Newsreader Project. For copyright details see
//	GNU public license version 2 or above. No warranties implied. Use at own risk.
//	More information can be found at <http://www.object-factory.com/Alexandra>.
//	@(#)$Id: MailAddressList.h,v 1.1 1998/05/05 15:29:42 erik Exp $
//---------------------------------------------------------------------------------------

#import "HeaderFieldBody.h"

@class MailAddress;


@interface MailAddressList : HeaderFieldBody
{
    NSMutableArray	*addresses;
}

+ mailAddressListWithString:(NSString *)string;
+ mailAddressListWithAddresses:(NSArray *)array;

- initWithString:(NSString *)string;
- (NSString *)stringRepresentation;

- (NSData *)transferRepresentation;

- initWithAddresses:(NSArray *)someAddresses;
- (void)addAddress:(MailAddress *)address;
- (NSArray *)addresses;

@end
